RawFrame

Usage summary

GET
/v1/account/usage

Generations created between start and end (inclusive, UTC dates, at most 366 days), grouped by day or by model. Requires the account:read scope.

Authorization

bearerAuth
headerAuthorizationBearer <token>

API key, e.g. rf_live_3f9k2q_….

Query Parameters

start*string
Formatdate
end*string
Formatdate
group_by?string
Default"day"
Value in"day""model"

Response Body

Usage buckets.

application/json
  1. response
object*unknown
data*array<>
Example Request
curl -X GET 'https://api.rawframe.dev/v1/account/usage?start=2019-08-24&end=2019-08-24'
Example Response
{  "object": "list",  "data": [    {      "key": "string",      "generations": 0,      "succeeded": 0,      "failed": 0,      "video_seconds": 0,      "images": 0,      "charge_micros": 0    }  ]}